////////////////////////////////////////////////////////
/// キーボードを押下時のイベント取得のサンプル       ///
/// 別途配布のPDF化ツール(html2png2pdf)を使う場合    ///
/// この部分のスクリプトが必要になる場合があります。 ///
/// (画面キャプチャ時の遷移のため、Sボタンを利用）   ///
////////////////////////////////////////////////////////
  var talkie = Talkie({wide: false});

  talkie.key('s').subscribe(talkie.next$);
  talkie.key('n').subscribe(talkie.next$);
  talkie.key('a').subscribe(talkie.prev$);
  talkie.key('p').subscribe(talkie.prev$);



///////////////////////////////////////////////////////////////////////////
/// コンソールログ（F12の開発者ツール）にプレゼンターログを表示する機能 ///
/// コンソールログ（F12の開発者ツール）に生成されたHTMLを表示する機能   ///
///////////////////////////////////////////////////////////////////////////
  document.addEventListener('DOMContentLoaded', function() {
    talkie.changed.subscribe(function(current) {
      // ログのクリア
      console.clear();
      //ブラウザのチェックを、毎回ページ遷移のたびに実施するならばここに入れても良い。
      //checkBrowser();
      
      // print presenter notes
      console.info(talkie.notes[current.getAttribute('data-page')]);

      // 追加機能(by y-wada)：ページのHTMLソースを表示する機能：
      // こういった形で、機能追加することも可能。
      // マークダウン形式は、html変換後で表示されてしまうため、
      // 元ネタが見たいという意味では、コメント欄に書いたほうが良いかも？

        //ページ番号N/Nはnavタグの中に格納されている。
        //console.info(document.getElementsByTagName('nav')[0].innerHTML);
        //spanの一個目がページ番号であるため、それを取得する。
        var pageNo = document.getElementsByTagName('nav')[0].getElementsByTagName('span')[0].innerHTML;

        //全て[section]タグで作っていた場合、そのページ番号のところのソースを取得することが出来る。
        //配列上、0から始まるので、-1して、以下でsectionタブの情報を取れる。
        //console.info(  document.getElementsByTagName('section')[pageNo-1] );

        console.info('ページ：'+pageNo+" のHTMLコード は以下");

        //デコード関数にかけて、情報を表示する。
        //sectionタブの中身を表示したい場合は以下
        console.info(  DecodeHtmlEs (document.getElementsByTagName('section')[pageNo-1].innerHTML )  );
        //sectionタブの自身も表示したい場合は以下
        //console.info(  DecodeHtmlEs (document.getElementsByTagName('section')[pageNo-1].outerHTML )  );
    });
  });

  // HTMLソースを読みやすくするために置換する関数：
  function DecodeHtmlEs(targetString){
    return targetString
               .replace(/&lt;/g,'<')
               .replace(/&gt;/g,'>')
               .replace(/&quot;/g,'"')
               .replace(/&amp;/g,'&');
  }


////////////////////////////////////////////////////////////////
/// IEなど、対応外ブラウザでアクセスされた場合のアラート機能 ///
////////////////////////////////////////////////////////////////
// IEからアクセスした場合、背景画像の表示ロジックが崩れる模様 //

// 初回アクセス時に一回チェックする場合：
checkBrowser();

//ブラウザによって表示がイマイチな場合があるために判定用のロジックを追加：
//なお、スマートフォンからの利用も可能
function checkBrowser() {
  //ブラウザ判定：IEの場合アラートする。(何か対応外があった場合はここでアラート)
  var userAgent = window.navigator.userAgent.toLowerCase();
  if( userAgent.indexOf('msie') != -1 || userAgent.indexOf('trident') != -1 ) {
    console.info('Internet Explorer');
    alert('Internet Explorer の場合背景表示が崩れます。\nChromeをお使いください。');
  } else if(userAgent.indexOf('edge') != -1) {
    console.info('Edge');
  } else if(userAgent.indexOf('chrome') != -1) {
    console.info('Google Chrome');
  } else if(userAgent.indexOf('safari') != -1) {
    console.info('Safari');
  } else if(userAgent.indexOf('firefox') != -1) {
    console.info('FireFox');
  } else if(userAgent.indexOf('opera') != -1) {
    console.info('Opera');
  } else if(userAgent.indexOf('iphone') != -1) {
    console.info('iPhone');
  } else if(userAgent.indexOf('ipad') != -1) {
    console.info('iPad');
  } else if(userAgent.indexOf('android') != -1) {
    if(userAgent.indexOf('mobile') != -1) {
        console.info('android-Phone');
    } else {
        console.info('android-tab');
    }
  } else {
    console.info('不明なブラウザ');
  }
}

